import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class IconThemeService {
    theme$: BehaviorSubject<string>;
    size$: BehaviorSubject<number>;
    colors: {
        primary: string;
        warn: string;
        success: string;
    };
    private aliases;
    setAliases(aliases: {
        [alias: string]: string;
    }): void;
    getAlias(alias: string): string;
    getColor(color: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconThemeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<IconThemeService>;
}
